Page MenuHomeFreeBSD

Use the proper python version value within a single port build
AbandonedPublic

Authored by mva on Oct 17 2014, 10:18 PM.

Details

Reviewers
mva
Group Reviewers
portmgr
Python
Summary

If a port requests a different python version from the one being the
default or provided at the command line, certain directories as well as
plist entries, will use the wrong python version value (the one being
the defaullt or provided at the command line), instead of whatever it
requests.

Test Plan
# cd /usr/ports/net-p2p/deluge
# make PYTHON_VERSION=python3.4 -V_PYTHON_VERSION -VPYTHON_VERSION -Vpython_ARGS
2.7
python3.4
2
#
# make PYTHON_VERSION=python3.4 -VRUN_DEPENDS
...
/usr/local/lib/python3.4/site-packages/twisted/__init__.py:/usr/ports/devel/py-twistedCore
...

That entry is critical. py-twistedCore is only compatible with Python
2 (as stated in the port), but its PYTHON_SITELIBDIR entry gets polluted
with the user-provided PYTHON_VERSION value, although it should refer to
the (optimal) match from python.Mk.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mva updated this revision to Diff 2028.Oct 17 2014, 10:18 PM
mva retitled this revision from to Use the proper python version value within a single port build.
mva updated this object.
mva edited the test plan for this revision. (Show Details)
mva added a reviewer: Python.
mva edited the test plan for this revision. (Show Details)Oct 17 2014, 10:20 PM
mva edited edge metadata.
xmj added a reviewer: xmj.Oct 21 2014, 9:57 AM
xmj removed a reviewer: xmj.
xmj added a subscriber: xmj.
xmj removed a subscriber: xmj.
mva accepted this revision.Oct 24 2014, 4:05 PM
mva added a reviewer: mva.
mva accepted this revision.Oct 24 2014, 4:11 PM

Committed in rP371447.

mva abandoned this revision.Nov 1 2014, 7:19 AM

Committed.